import { ReactNode } from 'react';
import { StyledProps } from '../../utils/styled';
declare type Props = StyledProps & {
    /** Vertical alignment */
    align?: 'start' | 'center' | 'end' | 'stretch';
    /** Horizontal alignment */
    justify?: 'start' | 'center' | 'end' | 'space-between' | 'space-around' | 'space-evenly';
    /** Space value used for gap between children */
    gap?: string;
    children?: ReactNode;
};
export declare const Cluster: (props: Props) => JSX.Element;
export {};
