import React from 'react';
import { StyledProps } from '../../utils/styled';
export declare const Stack: React.ForwardRefExoticComponent<StyledProps & {
    inline?: boolean | undefined;
    align?: "start" | "center" | "end" | "stretch" | undefined;
    /** Horizontal alignment */
    justify?: "start" | "center" | "end" | "space-between" | "space-around" | "space-evenly" | undefined;
    /** Space between child elements */
    gap?: string | number | undefined;
} & React.RefAttributes<unknown>>;
