import { RefObject } from 'react';
declare type ObservedSize = {
    width: number;
    height: number;
};
declare type ResizeHandler = (size: ObservedSize) => void;
declare function useResizeObserver(opts?: {
    ref?: RefObject<HTMLElement>;
    onResize?: ResizeHandler;
}): {
    ref: RefObject<HTMLElement>;
} & ObservedSize;
export default useResizeObserver;
